Bug 11900 - Add tooltips to cart and list in OPAC
Summary: Add tooltips to cart and list in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-06 16:14 UTC by Kyle M Hall
Modified: 2015-12-03 22:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11900 - OPAC cart can confuse patrons (2.66 KB, patch)
2015-02-18 20:10 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 11900 - OPAC cart can confuse patrons (2.71 KB, patch)
2015-02-27 21:46 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNOFF] Bug 11900 - OPAC cart can confuse patrons (2.77 KB, patch)
2015-03-03 08:08 UTC, Jesse Maseto
Details | Diff | Splinter Review
[PASSED QA] Bug 11900 - OPAC cart can confuse patrons (2.86 KB, patch)
2015-03-03 14:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-03-06 16:14:16 UTC
The “cart” feature is confusing to our patrons – many think that they can check out from there or that they have put an item on hold. We would like the ability to change the name of the “cart” feature or to add an explanation of this feature to the OPAC.
Comment 1 Owen Leonard 2014-03-06 17:16:04 UTC
We have been down this road before: Bug 3719.

Perhaps one alternative is a custom translation?
Comment 2 Marc Véron 2015-02-18 20:05:17 UTC
Why not add a title tag to the "Cart" link?
Comment 3 Marc Véron 2015-02-18 20:10:53 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2015-02-18 20:12:08 UTC
I hope it is OK to switch status to "Needs signoff"
Comment 5 Nick Clemens 2015-02-27 21:46:44 UTC Comment hidden (obsolete)
Comment 6 Jesse Maseto 2015-03-02 14:32:24 UTC
After the patch was applied to master, the "tooltip"icon did not appear.
Comment 7 Marc Véron 2015-03-02 22:59:07 UTC
Hi Jesse,

I tested again with 

IE 11, Firefox 35 and Chrome 40 on Windows 7
IE 11 and Firefox 36 on Windows 8.1
Iceweasel 24.7 on Debian 

All of them display the tooltips on the "Cart" and "List"-links on top of the OPAC page.

Can you please re-test? - Please select "English" to test. Maybe you have to clear the caches.

Thanks
Marc

Switching back to "Needs Signoff"
Comment 8 Jesse Maseto 2015-03-03 08:08:23 UTC Comment hidden (obsolete)
Comment 9 Jesse Maseto 2015-03-03 08:09:53 UTC
Thank you Marc. I have retested this patch and have signed off.

-Jesse
Comment 10 Katrin Fischer 2015-03-03 14:32:59 UTC
Created attachment 36408 [details] [review]
[PASSED QA] Bug 11900 - OPAC cart can confuse patrons

This patch adds a title tag to the "Cart" link on Opac main page (and to the "Lists" link as well).

Wording should be verified by a native speaker  :-)

To test:
Apply patch
Go to OPAC main page, verify that a tooltip appears on the "Cart" and "Lists" links at the top of the page.

Signed-off-by: Nick <nick@quecheelibrary.org>
Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, no problems found.
Comment 11 Nicole C. Engard 2015-03-05 14:52:39 UTC
This is a step, but I do feel that we need a bit more because CART appears in many places and is not easy to change with jquery.
Comment 12 Tomás Cohen Arazi 2015-03-30 16:17:22 UTC
Patch pushed to master.

Thanks Marc!